Bug 9245 - Предлагается по умолчанию сохранять в форматах MS Office
: Предлагается по умолчанию сохранять в форматах MS Office
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/openoffice.org2)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-15 12:25 by
Modified: 2006-09-16 23:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-15 12:25:42
При внедрении OpenOffice возникает необходимость минимизировать 
проблемы при общении с внешним миром. Считаю умолчание "Сохранять в MS Office" 
целесообразным.
------- Comment #1 From 2006-03-15 12:37:13 -------
предлагаю по умолчанию поставить MS Office 
------- Comment #2 From 2006-03-17 01:01:17 -------
Несерьёзный подход, если данный пакет планируется включить в коммерчески 
значимый дистрибутив. 
------- Comment #3 From 2006-04-18 23:16:18 -------
А ручку к этому можно простую прикрутить (которую бы скриптом рулить было бы
можно)?
------- Comment #4 From 2006-04-19 07:33:00 -------
Я думаю, это WONTFIX. OpenOffice.org по умолчанию должен работать с открытым
форматом.
------- Comment #5 From 2006-04-19 08:52:40 -------
он и будет по умолчанию работать с открытым форматом. а ручка для того что бы 
указать в каком формате сохронять по умолчанию там всегда была
------- Comment #6 From 2006-04-19 11:14:45 -------
ООо не до конца корректно поддерживает формат M$Office.
Второе -- установкой по дефолту формата MSO вы (мы) льем воду на мельницу
Микрософт.

Я против _категорически_.
Как вариант -- можно написать какой-нить макрос, который по-дефолту юзеру
настроит формат MSO. Этот макрос юзер должен запустить _сам_.


<flame>
Вернитесь ко Христу, язычники :)
</>
------- Comment #7 From 2006-04-20 00:26:40 -------
adiel, глядя на ваши слова, кажется что вы совершенно не
представляете условия, при которых происходит внедрение OOo.
1. Пользователи не должны расширять свои понятия о существовании форматов.
2. Корреспонденты не должны ничего заметить (получать файлы odt).
3. Не надо заставлять пользователя каждый раз при сохранении думать в каком
формате сохранить.

Я не очень понимаю как вы что-либо внедряете. Ставите ООо и уходите, а 
пользователь потом сам меняет формат сохранения и ещё десяток настроек, 
которые надо изменить для более менее приемлемой работы?
------- Comment #8 From 2006-04-20 22:10:57 -------
(In reply to comment #7)
> adiel, глядя на ваши слова, кажется что вы совершенно не
> представляете условия, при которых происходит внедрение OOo.
представляет....
------- Comment #9 From 2006-04-21 00:24:51 -------
Оно и странно, почему у нас разные представления.
------- Comment #10 From 2006-05-04 00:38:11 -------
Предлагаю соблюдать правило, по которому
RESOLVED ставит мантейнер, а
CLOSED - заявитель.
------- Comment #11 From 2006-05-04 09:30:43 -------
предлагаю заявителю не вешать глупых багов. сказали же ясно и понятно - MS по 
умолчанию не будет никогда. тема закрыта
------- Comment #12 From 2006-05-04 11:05:59 -------
(In reply to comment #10)
> Предлагаю соблюдать правило, по которому
> RESOLVED ставит мантейнер, а
> CLOSED - заявитель.
Эт да, вообше надо бы содрать/адаптировать какое вменяемое введение в bugzilla
(типа, "серьёзно") и ссылку на главной страничке поставить...
------- Comment #13 From 2006-05-05 20:52:45 -------
(In reply to comment #11)
> сказали же ясно и понятно - MS по умолчанию не будет никогда. 

Тем более, что у OO по-умолчанию используется ISO 26300, а у MS - неизвестно
что. ;-)


------- Comment #14 From 2006-05-06 01:14:58 -------
1. Тем не менее, настаиваю на том, что свои баги буду закрывать сам.
2. На три пункта, где я объяснял почему так важно облегчить общение 
пользователя ООо с внешним миром, ответа не последовало, зато я узнал что мои 
баги - глупые, и мне уже всё сказали ясно и понятно. Похвально. Конструктивно.
3. Ещё раз предлагаю обсудить системный способ задания умолчания по форматам.
------- Comment #15 From 2006-05-06 09:48:16 -------
На мой взгляд, тут, в первую очередь, идеологическая проблема. Важно, чтобы MS,
в конце концов, начала следовать стандартам там, где необходима передача данных
между различными системами обмена информацией, а не разрабатывать свои
несовместимые аналоги (даже между своими же версиями продуктов). Сейчас
появляется реальная возможность такого развития событий (подвижки в сторону
OpenDocument в некоторых странах и принятие формата в качестве ISO-стандарта),
а
тут, вдруг, на тебе, назад, к MS doc. Alt Linux, может, и капля в море
дистрибутивов, но прецедентов не стоит создавать всё равно.

В общем, лично я против doc по-умолчанию.
------- Comment #16 From 2006-05-06 14:16:00 -------
Предлагаю всем участникам треда проявить больше терпимости друг к другу.
Виталий, прочитав этот тред, я увидел что ваше предложение не встретило никакой
поддержки... да, конечно, в некоторых случаях в слишком резкой форме. Но на мой
взгляд, с мнеием мантейнера тоже нужно считаться. Он уже высказал своё
отношение
к данной проблеме - INVALID. Он и участники обсуждения не считают эту ситуацию
ошибочной (кроме того, это не бага, а enhancement).
------- Comment #17 From 2006-05-07 01:59:45 -------
Ну мне некогда в чём-либо убеждать. Желаю чтобы неприспособленный
к реальной жизни Офис не мешал внедрению дистрибутивов ALT.
Рад что мантейнер имеет собственное мнение, но давайте не будем ставить
CLOSED, мантейнер может и поменяться.
------- Comment #18 From 2006-05-07 14:18:15 -------
Виталик, ты можешь сделать свою сборку или пакет для преднастройки для тех
сред,
где действительно так проще, лучше и меньше головной боли.

Поверь, мы это давно обсуждали, выводы -- выше.
------- Comment #19 From 2006-05-07 15:10:58 -------
> Рад что мантейнер имеет собственное мнение, но давайте не будем ставить
> CLOSED, мантейнер может и поменяться.

В тот момент, когда по-умолчанию станет использоваться формат doc, я повешу
багу
о том, что по-умолчанию OOo использует неправильный формат.
------- Comment #20 From 2006-05-07 15:19:14 -------
не будем нарушать стандарты. Виталий, см. ISO/IEC 26300
------- Comment #21 From 2006-05-08 00:20:38 -------
Пока что он там же, где и ISO-8859-5. 
Я отлично знаю и про ODT и про стандарты.
Суть-то в том, что OOo непрактичен, непрактичен и его формат.
А много говорят о нём, по-моему, те кто в нём мало работает.
Сочувствую тем, кому приходится иметь дело с пользователями, которым нужен 
инструмент, а не стандарты.
------- Comment #22 From 2006-05-08 03:14:40 -------
Я присоединяюсь к мнению большинства: ничего хорошего в том, чтобы сохранять
документы в формате конкурента, я не вижу. Когда небезызвестная компания
написала программу электронных таблиц, убившую Lotus 1-2-3 с его 80% рынка, в
этой программе можно было сделать кучу всего как-в-лотусе, но по умолчанию она
сохраняла в своём формате. И это правильно. Потому что переводить людей на
новый
формат (ага, кривой, нераспространённый, и так далее) можно только насильно.
Увы.
------- Comment #23 From 2006-05-08 16:13:11 -------
(In reply to comment #21)

> Суть-то в том, что OOo непрактичен, непрактичен и его формат.

Зато есть надежда, что он не будет меняться, как вода в, извините, унитазе от
версии к версии. С моей точки зрения это много чего перевешивает.
------- Comment #24 From 2006-05-08 16:25:40 -------
> Суть-то в том, что OOo непрактичен, непрактичен и его формат.

как я уже говорил, поставьте себе, в таком случае, MS Office

> Сочувствую тем, кому приходится иметь дело с пользователями, которым нужен 
> инструмент, а не стандарты.

для пользователей, которым нужен инструмент, умолчания меняются в настройках
------- Comment #25 From 2006-05-12 23:46:03 -------
Если есть глобальный рубильник, в каком формате сохранять, можно повесить его
на
control.
------- Comment #26 From 2006-09-16 23:40:42 -------
лень свою отключить и в настройках один раз выбрать умолчания